Subject: Re: linux-next: build failure after merge of the mmc tree

From: Shawn Guo <[email-masked]>
Date: Mon, 6 Jan 2014 14:44:08 +0800

On Mon, Jan 06, 2014 at 05:22:43PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 17 Dec 2013 16:06:19 +0800 Dong Aisheng <[email-masked]> wrote:
> >
> > I tested that Chris tree does not have problem.
> > It's caused by IMX tree updates.
> > 
> > Chris,
> > Is the way Shawn suggested OK for you?
> 
> Can we have some resolution of this please?  This failed to build again
> today so I have used the version of the mmc tree from next-20131212
> again.  I tried the obvious fix (s/pinctrl_usdhc4_1/pinctrl_usdhc4/) but
> that didn't work.

Okay, I missed your point.  The resolution needs the additional changes
as below.

Shawn

diff --git a/arch/arm/boot/dts/imx6qdl-sabresd.dtsi
b/arch/arm/boot/dts/imx6qdl-sabresd.dtsi
index 91e5dd4..8b05648 100644
--- a/arch/arm/boot/dts/imx6qdl-sabresd.dtsi
+++ b/arch/arm/boot/dts/imx6qdl-sabresd.dtsi
@@ -356,6 +356,10 @@
                pinctrl_usdhc3: usdhc3grp {
                        fsl,pins = <MX6QDL_USDHC3_PINGRP_D8>;
                };
+
+               pinctrl_usdhc4: usdhc4grp {
+                       fsl,pins = <MX6QDL_USDHC4_PINGRP_D8>;
+               };
        };
 };